package edu.gustavus.mcs178.npuzzle.v5;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

/**
 * @author Max Hailperin, Barbara Kaiser, and Karl Knight
 * 
 * This file contains excerpts from the textbook Concrete Abstractions: An Introduction to Computer Science Using Scheme,
 * by Max Hailperin, Barbara Kaiser, and Karl Knight, Copyright (c) 1998 by the authors. Full text is available for free
 * at http://www.gustavus.edu/+max/concrete-abstractions.html
 * 
 * Modified by Karl Knight in May 2011 to use Java Swing
 */
public class PoltergeistActionListener implements ActionListener {

	private Puzzle puzzle;

	public PoltergeistActionListener(Puzzle puzzle) {
		this.puzzle = puzzle;
	}

	public void actionPerformed(ActionEvent e) {
		new PoltergeistThread(puzzle).start();
	}

}
